# User

***

<mark style="color:blue;">`GET`</mark> `/api/v0/user`

Get basic information for authenticate user via API key.

```markup
curl -X GET https://api.mailniaga.mx/api/v0/user \
  --header "Content-Type: application/json" \
  --header "X-API-Key: <API_Key>"
```

JSON structured response.

```json
{
    "error": false,
    "status_code": 200,
    "data": {
            "organisation": "Mail Niaga MX",
            "email": "demo@mailniaga.mx",
            "suspended": false,
            "smtp_username": "2fa2ef89f8b305d581976",
            "limit_quota": "2358490",
            "total_usage": 813,
            "credit_balance": 2357677
    },
    "message": "OK"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.webimpian.support/mailniaga/v0/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
